.. _user:

##########################
Developer Reference Manual
##########################

:Release: |version|
:Date: |today|

This is the developer reference guide for PyDDA which covers most of the 
available functions, modules, and classes. 

============================
:mod:`cost_functions` Module
============================

Module containing cost functions and their gradients.

.. automodule:: pydda.cost_functions
    :members:
    :undoc-members:
    :show-inheritance:

=======================
:mod:`retrieval` Module
=======================

Main module for wind retrieval.

.. automodule:: pydda.retrieval
    :members:
    :undoc-members:
    :show-inheritance:

=================
:mod:`vis` Module
=================

Visualization module for PyDDA. 

.. automodule:: pydda.vis
    :members:
    :undoc-members:
    :show-inheritance:
    
===========================
:mod:`initalization` Module
===========================

The module for creating custom initial states for the PyDDA retrieval.

.. automodule:: pydda.initialization
    :members:
    :undoc-members:
    :show-inheritance:

===========================
:mod:`constraints` Module
===========================

The module for creating custom constraints (i.e. from models, satellites) for the PyDDA retrieval.

.. automodule:: pydda.constraints
    :members:
    :undoc-members:
    :show-inheritance:

